summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Mario Antunes2014-07-08 01:38:43 +0200
committer Willy Sudiarto Raharjo2014-07-08 01:38:43 +0200
commit0cddba9db967585343f089451bfe632df585df70 (patch)
tree2edf77b59a684dd74ff86364000a1c6327ba7f23 /development
parentdc9c1389be6803f32462df68d3ac8375cba0d90c (diff)
downloadslackbuilds-0cddba9db967585343f089451bfe632df585df70.tar.gz
development/idea: Prevent some binaries to get stripped.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/idea/idea.SlackBuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/development/idea/idea.SlackBuild b/development/idea/idea.SlackBuild
index 79fa534fdf..f93b66433c 100644
--- a/development/idea/idea.SlackBuild
+++ b/development/idea/idea.SlackBuild
@@ -7,7 +7,7 @@
PRGNAM=idea
ARCNAM=ideaIC
VERSION=${VERSION:-13.1.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
ARCH=noarch
@@ -40,8 +40,9 @@ chmod 755 $PKG/etc/profile.d/*
install -D -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
install -D -m 0644 $PKG/opt/$PRGNAM/bin/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+# Prevent fsnotifer and fsnotifier64 from being striped
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | grep -v "fsnotifier" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cd $PKG/opt/$PRGNAM